FROM node:16-alpine
WORKDIR /app

# Install TS manually since it's only included in the parent's package.json
RUN npm install --global typescript@^4.5.2
COPY package.json package-lock.json ./
RUN npm ci --no-progress --no-optional

COPY tsconfig.json ./
COPY src src/
RUN npm run build

CMD ["npm", "run", "start-compiled"]
